Bug 1223614 - dnf groupinstall fails and returns success
Summary: dnf groupinstall fails and returns success
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 03:19 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-06-21 00:16 UTC (History)
7 users (show)

Fixed In Version: dnf-1.0.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-21 00:16:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2015-05-21 03:19:16 UTC
Description of problem:
$ sudo dnf groupinstall "C Devel"
Last metadata expiration check performed 1:51:41 ago on Wed May 20 21:23:20 2015.
Warning: Group 'C Devel' does not exist.
Dependencies resolved.
Is this ok [y/N]: y
Complete!
[test@f22-uefi systemd]$ echo $?
0

Maybe there's some justification that I'm not seeing, but interactively asking whether to treat failure as success is rather strange. When I said 'y' I expected dnf to propose matching groups or something.

Version-Release number of selected component (if applicable):
dnf-1.0.0-1.fc22.noarch

Comment 1 Parag Nemade 2015-05-21 03:24:26 UTC
To add here, I have another query here why groupinstall command attempt to resolve dependencies if the given group name is not available for installation?

Comment 2 Michal Luscon 2015-05-21 07:41:35 UTC
Thank you for your report. I will take a look.

Comment 3 Fedora Update System 2015-06-12 09:05:45 UTC
dnf-1.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.1-2.fc22

Comment 4 Fedora Update System 2015-06-14 17:33:40 UTC
Package dnf-1.0.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10004/dnf-1.0.1-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-21 00:16:26 UTC
dnf-1.0.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.